/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.cvut.fel.pjv.cv4;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author martin
 */
public class Car implements BicycleVisitable{
    
   private CarColor cc;

    public Car() {
        
        this.cc = CarColor.WHITE;
    }
    
   List<BicycleHolder> carHolders = new ArrayList<BicycleHolder>(4);
        
   public void accept(Bicycle b){
       addHolder(new BicycleHolder(b));
   }
   
   public void accept(MountainBike b){
       addHolder(new MBHolder(b));
   }
   
   public void accept(RoadBike b){
       addHolder(new RBHolder(b));
   }
   
   private void addHolder(BicycleHolder bh){
       if (carHolders.size()<4){
            carHolders.add(bh);
       }
   }
   

   public void printBikes(){
       for (BicycleHolder carHolder : carHolders) {
           System.out.println("Holder: " +carHolder.getClass().getName()+" is holding:");
           carHolder.getBike().printDescription();
           System.out.println("Barva auta: "+cc.getColorCode()+" kod barvy: "+cc.getColorName());
           System.out.println("");
       }
   }
   
    
}
